(function($, document, config) {
	"use strict";
	var Timer;
	var TimeCount = 59;
	var phone;
	var project = {
		init: function() {
			var _ = this;
			_.bindEvent();
		},
		bindEvent: function() {
			var _ = this;
			var self = plus.webview.currentWebview();
			phone = self.phone;
			sg.node('telphone').innerHTML = phone;
			_.getCode();
			//点击注册按钮
			sg.node('submit').addEventListener('tap', function() {
				var myreg = /^(?![\d]+$)(?![a-zA-Z]+$)(?![^\da-zA-Z]+$).{6,20}$/;
				var patchca = sg.node('patchca').value;
				var password = sg.node('password').value;
				var repasssword = sg.node('repassword').value;
				if(patchca == null || patchca == '') {
					mui.toast('验证码不能为空');
					return;
				}
				if(password == null || password == '' || repasssword == null || repasssword == '') {
					mui.toast('密码不能为空');
					return;
				}
				if(password != repasssword) {
					mui.toast('两次输入的密码不一致');
					return;
				}
				if(!myreg.test(password) || password.length < 6 || password.length > 20) {
					mui.toast('密码格式不正确');
					return;
				}
				httpClient.post(interfaceHost + "validatePathca.do", {
					phone: phone,
					patchca: patchca
				}, function(data) {
					if(data.status) {
						mui.openWindow({
							url: '../../html/login/prefect_data.html',
							id: 'prefect_data.html',
							extras: { //扩展参数
								phone: phone,
								password: password
							}
						});
					}
					plus.nativeUI.toast(data.message, {
						verticalAlign: 'center',
						duration: 'short'
					});
				});
			}, false);
			sg.node('getCode').addEventListener('tap', function() {
				_.getCode();
				sg.showWaiting('发送验证码...');
				httpClient.get(interfaceHost + "sendPathca.do?phone=" + phone, function(data) {
					sg.hideWaiting();
					mui.toast(data.message);
				}, function(error) {
					sg.hideWaiting();
				});
			}, false);
		},
		getCode: function() {
			var _ = this;
			//发送验证码
			var getCode = sg.node("getCode");
			sg.nodeDisable("getCode");
			getCode.innerHTML = "验证中(60s)";
			Timer = setInterval(function() {
				if(TimeCount <= 0) {
					_.clearTimer();
					return;
				}
				getCode.innerHTML = "验证中(" + (TimeCount--) + "s)";
			}, 1000);
		},
		clearTimer: function() {
			clearInterval(Timer);
			TimeCount = 60;
			document.getElementById("getCode").innerHTML = "获取验证码";
			sg.nodeEnable("getCode");
		}
	};
	mui.init({});
	mui.plusReady(function() {
		project.init();
	});
})(mui, document, {});