(function($, document, config) {
	"use strict";
	var project = {
		init: function() {
			var _ = this;
			_.bindEvent();
		},
		bindEvent: function() {
			//退出应用
			var preTime = 0;
			mui.back = function() {
				var now = new Date().getTime();
				if(now - preTime > 2000) {
					preTime = now;
					mui.toast('再按一次退出应用');
				} else {
					plus.runtime.quit();
				}
			};
			//点击注册按钮
			sg.node('register').addEventListener('tap', function() {
				mui.openWindow({
					url: '../../html/login/register.html',
					id: 'register.html',
					waiting: {
						autoShow: false
					}
				});
			}, false);
			sg.node('submit').addEventListener('tap', function() {
				var username = sg.node('phone').value;
				var password = sg.node('password').value;
				if(username == null || username == '') {
					mui.toast("手机号码不能为空");
					return;
				}
				if(password == null || password == '') {
					mui.toast("密码不能为空");
					return;
				}
				sg.showWaiting('登录中...');
				httpClient.post(interfaceHost + "login.do", {
					username: username,
					password: hex_md5(password)
				}, function(data) {
					if(data.status) {
						//保存用户数据
						db.add("userToken", data.token);
						mui.openWindow({
							url: '../../html/main.html',
							id: 'main.html'
						});
					}
					mui.toast(data.message);
					sg.hideWaiting();

				}, function(error) {
					if(error.toString().indexOf('timeout')) {
						sg.showToast('登录超时！');
					}
					sg.hideWaiting();
				});
			}, false);
		}
	};
	mui.init({});
	mui.plusReady(function() {
		if(db.get("firstIn") == null || db.get("firstIn") == '') {
			mui.openWindow({
				url: '../../html/login/guide.html',
				id: 'guide.html',
				waiting: {
					autoShow: false
				}
			});
		} else {
			if(db.get("userToken") != null && db.get("userToken") != '') {
				mui.openWindow({
					url: '../../html/main.html',
					id: 'main.html',
					waiting: {
						autoShow: false
					}
				});
			} else {
				project.init();
			}
		}
		setTimeout(function() {
			plus.navigator.closeSplashscreen();
		}, 500);

	});

})(mui, document, {});