(function($, document, config) {
	"use strict";
	var userAccount;
	var userPwd;
	var cityPicker;
	var city;
	var project = {
		init: function() {
			var _ = this;
			_.initCity();
			_.bindEvent();
		},
		initCity: function() {
			httpClient.get(interfaceHost + "cityList.do", {}, function(data) {
				cityPicker = new $.PopPicker();
				cityPicker.setData(data);
			}, function(error) {
				mui.toast("网络异常!");
			});
		},
		bindEvent: function() {
			//获取用户的账号和密码
			var self = plus.webview.currentWebview();
			userAccount = self.phone;
			userPwd = self.password;
			sg.node('userCity').addEventListener('tap', function() {
				cityPicker.show(function(items) {
					city = items[0];
					sg.node('userCity').value = items[0].text;
				});
			}, false);
			//点击下一步按钮
			sg.node('submmit').addEventListener('tap', function() {
				var myreg = /^[1][3578][0-9]{9}$/;
				var userPhone = sg.node('userPhone').value;
				var username = sg.node('userName').value;
				var userAddr = sg.node('userAddr').value;
				if(userPhone == null || userPhone == '') {
					mui.toast("手机号码不能为空");
					return;
				}
				if(userPhone.length != 11 || !(myreg.test(userPhone))) {
					plus.nativeUI.toast('请输入正确的手机号码');
					return;
				}
				if(username == null || username == '') {
					mui.toast("姓名不能为空");
					return;
				}
				if(city == null || city == ''||city.value==null || city.value=='') {
					mui.toast("所在城市不能为空");
					return;
				}
				if(userAddr == null || userAddr == '') {
					mui.toast("详细地址不能为空");
					return;
				}
				httpClient.post(interfaceHost + "register.do", {
					userAccount: userAccount,
					userPhone: userPhone,
					userPwd: hex_md5(userPwd),
					userName: username,
					userCity: city.text,
					cityId: city.value,
					userAddr: userAddr
				}, function(data) {
					if(data.status) {
						mui.openWindow({
							url: '../../html/login/login.html',
							id: 'login.html',
							waiting: {
								autoShow: false
							}
						});
					}
					mui.toast(data.message);
				});
			});
			mui.back = function() {
				var btnArray = ['确定', '取消'];
					mui.confirm('确定放弃此次注册吗？', '提示', btnArray, function(e) {
						if(e.index == 0) {
							mui.openWindow({
							url: '../../html/login/login.html',
							id: 'login.html',
							waiting: {
								autoShow: false
							}
						});
						} else {
						}
					});
			};
		}
	};
	mui.init({});
	mui.plusReady(function() {
		project.init();
	});
})(mui, document, {});