(function($, document, config) {
	"use strict";
	var city = {
		"value": 0,
		text: "全部地区"
	};
	var showTitle;
	var project = {
		init: function() {
			var _ = this;
			_.initPage();
			_.initNotify();
			_.initPush();
			_.initMessage();
			_.bindEvent();
		},
		initPush: function() {

		},
		initNotify: function() {
			var info = plus.push.getClientInfo();
			httpClient.get(interfaceHost + "updateUserClientId.do", {
				token: db.get("userToken"),
				clientId: info.clientid
			}, function(data) {}, function(error) {});
			// 监听点击消息事件
			plus.push.addEventListener("click", function(msg) {
				mui.openWindow({
					url: '../html/mine/message.html',
					id: 'message.html',
					waiting: {
						autoShow: false
					}
				});
			}, false);
			// 监听在线消息事件
			plus.push.addEventListener("receive", function(msg) {
				project.initMessage();
				var mainView = plus.webview.getWebviewById('message.html');
				mui.fire(mainView, 'refreshMessage');
			}, false);
		},
		initMessage: function() {
			var dot = document.getElementById("messageDot");
			if(db.get("userToken") != null && db.get("userToken") != '') {
				httpClient.get(interfaceHost + "noReadMsgCount.do", {
					token: db.get("userToken")
				}, function(data) {
					if(data.count > 0) {
						dot.style.display = 'block';
						var mainView = plus.webview.getWebviewById('message.html');
						mui.fire(mainView, 'refreshMessage');
					} else {
						dot.style.display = 'none';
					}
				}, function(error) {
					//mui.toast("网络异常");
				});
			}
		},
		bindEvent: function() {
			var _ = this;
			// 退出应用
			var preTime = 0;
			mui.back = function() {
				var now = new Date().getTime();
				if(now - preTime > 2000) {
					preTime = now;
					mui.toast('再按一次退出应用');
				} else {
					plus.runtime.quit();
				}
			};
			sg.node('title').addEventListener('tap', function() {
				if(showTitle != '找产品' && showTitle != '我的') {
					var mainView = plus.webview.getWebviewById('task/tab-task.html');
					mui.fire(mainView, 'selectCity');
				}
			}, false);
			sg.node('info').addEventListener('tap', function() {
				mui.openWindow({
					url: '../html/mine/message.html',
					id: 'message.html',
					waiting: {
						autoShow: false
					}
				});
			}, false);
			window.addEventListener('refreshMessage', function() {
				project.initMessage();
			});
			window.addEventListener('changeCity', function() {
				city = db.get('city');
				sg.node('title').innerHTML = city.text + '<i class="mui-icon iconfont icon-xiangxia"></i>';
			});

			setInterval(function() {
				project.initMessage();
			}, 10000);
		},
		initPage: function() {
			var subpages = ['task/tab-task.html', 'product/tab-product.html', 'mine/tab-mine.html'];
			var subpage_style = {
				top: '45px',
				bottom: '51px'
			};
			var aniShow = {};
			//创建子页面，首个选项卡页面显示，其它均隐藏；
			mui.plusReady(function() {
				var self = plus.webview.currentWebview();
				for(var i = 0; i < 3; i++) {
					var temp = {};
					var sub = plus.webview.create(subpages[i], subpages[i], subpage_style);
					if(i > 0) {
						sub.hide();
					} else {
						temp[subpages[i]] = "true";
						mui.extend(aniShow, temp);
					}
					self.append(sub);
				}
			});
			//当前激活选项
			var activeTab = subpages[0];
			var title = document.getElementById("title");
			var info = document.getElementById("info");
			title.innerHTML = city.text + '<i class="mui-icon iconfont icon-xiangxia"></i>';
			//选项卡点击事件
			mui('.mui-bar-tab').on('tap', 'a', function(e) {
				var targetTab = this.getAttribute('href');
				if(targetTab == activeTab) {
					return;
				}
				//更换标题
				showTitle = this.querySelector('.mui-tab-label').innerHTML;
				if(showTitle == '找任务') {
					title.innerHTML = city.text + '<i class="mui-icon iconfont icon-xiangxia"></i>';
				} else {
					title.innerHTML = showTitle;
				}
				if(showTitle == '我的') {
					info.style.display = 'block';
				} else {
					info.style.display = 'none';
				}
				if(showTitle == '找产品') {

				}
				//显示目标选项卡
				//若为iOS平台或非首次显示，则直接显示
				if(mui.os.ios || aniShow[targetTab]) {
					plus.webview.show(targetTab);
				} else {
					//否则，使用fade-in动画，且保存变量
					var temp = {};
					temp[targetTab] = "true";
					mui.extend(aniShow, temp);
					plus.webview.show(targetTab, "fade-in", 300);
				}
				//隐藏当前;
				plus.webview.hide(activeTab);
				//更改当前活跃的选项卡
				activeTab = targetTab;
			});
		}
	};
	mui.init();
	mui.plusReady(function() {
		project.init();
		plus.navigator.closeSplashscreen();
	});

})(mui, document, {

});