(function($, document, config) {
	"use strict";
	var cityPicker;
	var city;
	var project = {
		init: function() {
			var _ = this;
			_.initCity();
			_.bindEvent();
		},
		initCity: function() {
			httpClient.get(interfaceHost + "cityList.do", {}, function(data) {
				cityPicker = new $.PopPicker();
				cityPicker.setData(data);
			}, function(error) {
				mui.toast("网络异常!");
			});
		},
		bindEvent: function() {
			var self = plus.webview.currentWebview();
			var userCity = self.userCity;
			var userAddr = self.userAddr;
			sg.node('userCity').value = userCity;
			sg.node('userAddr').value = userAddr;
			sg.node('submit').addEventListener('tap', function() {
				if(city  == null || city  == '' || city.value=='' || city.value==null) {
					mui.toast('请输入的所在区域');
					return;
				} else if(sg.node('userAddr').value == null || sg.node('userAddr').value == '') {
					mui.toast('请输入的详细地址');
					return;
				} else {
					sg.showWaiting('保存中...');
					httpClient.post(interfaceHost + "updateUserInfo.do", {
						token: db.get('userToken'),
						userCity: city.text,
						cityId: city.value,
						userAddr: sg.node('userAddr').value
					}, function(data) {
						if(data.status) { //保存成功
							var userView = plus.webview.getWebviewById('personal_profile.html');
							mui.fire(userView, 'refurbish');
						}
						mui.toast(data.message);
						sg.hideWaiting();
					}, function(error) {
						/*if(error.toString().indexOf('timeout')) {
							sg.showToast('请求超时！');
						}*/
						sg.hideWaiting();
					});
				}
			}, false);
			sg.node('userCity').addEventListener('tap', function() {
				cityPicker.show(function(items) {
					city = items[0];
					sg.node('userCity').value = items[0].text;
				});
			}, false);
		}
	};
	mui.init({});
	mui.plusReady(function() {
		project.init();
	});
})(mui, document, {});