(function($, document, config) {
	"use strict";
	var project = {
		init: function() {
			var _ = this;
			_.initPage();
			_.bindEvent();
		},
		initPage: function() {
			var _ = this;
			_.pageIndex = 1;
			_.pageCount = 1;
			_.totalCount = 1;
			_.pageSize = 10;
			mui('.mui-scroll-wrapper').scroll({
				scrollY: true, //是否竖向滚动
				scrollX: false, //是否横向滚动
				startX: 0, //初始化时滚动至x
				startY: 0, //初始化时滚动至y
				indicators: true, //是否显示滚动条
				deceleration: 0.0003, //阻尼系数,系数越小滑动越灵敏
				bounce: true //是否启用回弹
			});
			mui('#message-list').pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						_.pageIndex++;
						_.loadData(_.pageIndex, _.pageSize, false);
						setTimeout(function() {
							self.endPullUpToRefresh(_.pageIndex >= _.pageCount);
						}, 1000);
					}
				}
			});
			_.loadData(true);
		},
		bindEvent: function() {
			window.addEventListener('refreshMessage', function() {
				project.loadData(true);
			});
			$('#message-list-ul').on('tap', 'li', function(event) {
				mui.openWindow({
					url: '../../html/mine/message-detail.html',
					id: "message-detail.html",
					extras: {
						messageId: this.getAttribute("message-id")
					},
					waiting: {
						autoShow: false
					}
				});
			});
			$('#message-list-ul').on('tap', '.mui-btn', function(event) {
				var elem = this;
				var li = elem.parentNode.parentNode;
				var btnArray = ['确认', '取消'];
				var messageId = this.getAttribute("message-id");
				mui.confirm('确认删除该消息？', '提示', btnArray, function(e) {
					if(e.index == 0) {
						httpClient.get(interfaceHost + "deleteMessage.do", {
							messageId: messageId
						}, function(data) {
							if(data.status) {
								li.parentNode.removeChild(li);
								var mainView = plus.webview.getWebviewById('main.html');
								mui.fire(mainView, 'refreshMessage');
							}
							mui.toast(data.message);
						}, function(error) {
							//mui.toast("网络异常！");
						});
					} else {
						setTimeout(function() {
							$.swipeoutClose(li);
						}, 0);
					}
				});
			});
		},
		/**
		 * 
		 * @param {String} type 类型
		 * @param {Number} pageNum 页数(可选，默认1)
		 * @param {Number} pageSize 页码(可选，默认10)
		 * @param {Boolean} isRefresh 是否刷新(可选，默认false)
		 */
		loadData: function(pageIndex, pageSize, isRefresh) {
				var _ = this;
				if(typeof pageIndex == "boolean") {
					isRefresh = pageIndex;
					pageIndex = 1;
				} else {
					pageIndex = pageIndex || 1;
				}
				if(typeof pageSize == "boolean") {
					isRefresh = pageSize;
					pageSize = _.pageSize;
				} else {
					pageSize = pageSize || _.pageSize;
				}
				isRefresh = isRefresh || false;
				// 默认平台发布的任务
				var node = document.querySelector('#message-list ul');
				var tplId = "message-item";
				httpClient.get(interfaceHost + "messageList.do", {
					pageIndex: project.pageIndex,
					pageSize: project.pageSize,
					token: db.get("userToken")
				}, function(data) {
					_.pageIndex = data.pageIndex;
					_.totalCount = data.totalCount;
					_.pageCount = data.pageCount;
					if(isRefresh) {
						// 刷新，直接替换
						if(data.totalCount > 0) {
							node.innerHTML = template(tplId, data);
						}
					} else {
						// 不替换，加载数据
						node.innerHTML += template(tplId, data);
					}
				}, function(error) {
					//sg.showToast('网络异常！');
				});
			} //loadData结束
	};
	mui.init({

	});
	mui.plusReady(function() {
		project.init();
	});
})(mui, document, {});