(function($, document, config) {
	"use strict";
	var pullDownRefresh;
	var pullUpLoadMore;
	var project = {
		init: function() {
			var _ = this;
			_.initPage();
			_.bindEvent();
		},
		initAllTask: function() {
			var _ = this;
			_.allaskPageIndex = 1;
			_.loadData("all", true);
			_.receiveTaskPageIndex = 1;
			_.loadData("receive", true);
			_.finishTaskPageIndex = 1;
			_.loadData("finish", true);
			_.cancelTaskPageIndex = 1;
			_.loadData("cancel", true);
		},
		initPage: function() {
			var _ = this;
			var self = plus.webview.currentWebview();
			var index = self.currentIndex;

			_.allTaskPageIndex = 1;
			_.allTaskPageCount = 1;
			_.allTaskTotalCount = 1;
			_.receiveTaskPageIndex = 1;
			_.receiveTaskPageCount = 1;
			_.receiveTaskTotalCount = 1;
			_.finishTaskPageIndex = 1;
			_.finishTaskPageCount = 1;
			_.finishTaskTotalCount = 1;
			_.cancelTaskPageIndex = 1;
			_.cancelTaskPageCount = 1;
			_.cancelTaskTotalCount = 1;
			_.pageSize = 10;
			mui('.mui-scroll-wrapper').scroll({
				scrollY: true, //是否竖向滚动
				scrollX: false, //是否横向滚动
				startX: 0, //初始化时滚动至x
				startY: 0, //初始化时滚动至y
				indicators: true, //是否显示滚动条
				deceleration: 0.0003, //阻尼系数,系数越小滑动越灵敏
				bounce: true //是否启用回弹
			});
			if(index == 0) {
				_.loadData("all", true);
			} else if(index == 1) {
				mui('#slider').slider().gotoItem(1);
				_.loadData("receive", true);
			} else if(index == 2) {
				mui('#slider').slider().gotoItem(2);
				_.loadData("finish", true);
			} else if(index == 3) {
				mui('#slider').slider().gotoItem(3);
				_.loadData("cancel", true);
			}
			mui('#platform-all').pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						_.allTaskPageIndex++;
						_.loadData("all", _.allTaskPageIndex, _.pageSize, false);
						setTimeout(function() {
							self.endPullUpToRefresh(_.allTaskPageIndex >= _.allTaskPageCount);
						}, 1000);
					}
				}
			});
			mui('#platform-receive').pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						_.receiveTaskPageIndex++;
						_.loadData("all", _.receiveTaskPageIndex, _.pageSize, false);
						setTimeout(function() {
							self.endPullUpToRefresh(_.receiveTaskPageIndex >= _.receiveTaskPageCount);
						}, 1000);
					}
				}
			});
			mui('#platform-finish').pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						_.receiveTaskPageIndex++;
						_.loadData("finish", _.finishTaskPageIndex, _.pageSize, false);
						setTimeout(function() {
							self.endPullUpToRefresh(_.finishTaskPageIndex >= _.finishTaskPageCount);
						}, 1000);
					}
				}
			});
			mui('#platform-cancel').pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						_.cancelTaskPageIndex++;
						_.loadData("cancel", _.cancelTaskPageIndex, _.pageSize, false);
						setTimeout(function() {
							self.endPullUpToRefresh(_.cancelTaskPageIndex >= _.cancelTaskPageCount);
						}, 1000);
					}
				}
			});
		},
		bindEvent: function() {
			var _ = this;
			var allTask = sg.node('platform_task_all');
			var receiveTask = sg.node('platform_task_receive');
			var finishTask = sg.node('platform_task_finish');
			var cancelTask = sg.node('platform_task_cancel');
			document.getElementById('slider').addEventListener('slide', function(e) {
				if(e.detail.slideNumber === 0) {
					if(allTask.querySelector('.mui-loading')) {
						_.loadData("all", _.allTaskPageIndex, _.pageSize, true);
					}
				} else if(e.detail.slideNumber === 1) {
					if(receiveTask.querySelector('.mui-loading')) {
						_.loadData("receive", _.receiveTaskPageIndex, _.pageSize, true);
					}
				} else if(e.detail.slideNumber === 2) {
					if(finishTask.querySelector('.mui-loading')) {
						_.loadData("finish", _.finishTaskPageIndex, _.pageSize, true);
					}
				} else if(e.detail.slideNumber === 3) {
					if(cancelTask.querySelector('.mui-loading')) {
						_.loadData("cancel", _.cancelTaskPageIndex, _.pageSize, true);
					}
				}
			});
			window.addEventListener('refreshTask', function() {
				project.initAllTask();
			});
			
			mui('.mui-slider-group').on('tap', '.task_item', function() {
				mui.openWindow({
					url: '../../html/mine/mine_platform_task_detail.html',
					id: "mine_platform_task_detail.html",
					extras: {
						taskId: this.getAttribute('task-id')
					},
					waiting: {
						autoShow: false
					}
				});
			});
			//取消任务
			mui('.mui-slider-group').on('tap','.cancel_task_btn', function() {
				var taskId = this.getAttribute('task-id');
				var btnArray = ['确定', '取消'];
					mui.confirm('确认取消任务吗？', '提示', btnArray, function(e) {
						if(e.index == 0) {
							sg.showWaiting("提交中..");
							httpClient.post(interfaceHost + "cancelPlatformTask.do", {
								taskId: taskId,
								token: db.get("userToken")
							}, function(data) {
								sg.hideWaiting();
								mui.toast(data.message);
								project.initAllTask();
							}, function(error) {
								sg.hideWaiting();
								/*if(error.toString().indexOf('timeout')) {
									sg.showToast('请求超时！');
								}*/
							});
						} else {

						}
					});
			});
			//完成任务
			mui('.mui-slider-group').on('tap','.finish_task_btn', function() {
				var taskId = this.getAttribute('task-id');
				var btnArray = ['确定', '取消'];
					mui.confirm('确认完成任务吗？', '提示', btnArray, function(e) {
						if(e.index == 0) {
							sg.showWaiting("提交中..");
							httpClient.post(interfaceHost + "finishPlatformTask.do", {
								taskId: taskId,
								token: db.get("userToken")
							}, function(data) {
								sg.hideWaiting();
								mui.toast(data.message);
								project.initAllTask();
							}, function(error) {
								sg.hideWaiting();
								/*if(error.toString().indexOf('timeout')) {
									sg.showToast('请求超时！');
								}*/
							});
						} else {

						}
					});
			});
			//删除任务
			mui('.mui-slider-group').on('tap','.delete_task_btn', function() {
				var taskId = this.getAttribute('task-id');
				var btnArray = ['确定', '取消'];
					mui.confirm('确认删除该任务吗？', '提示', btnArray, function(e) {
						if(e.index == 0) {
							sg.showWaiting("提交中..");
							httpClient.post(interfaceHost + "deletePlatformTask.do", {
								taskId: taskId,
								token: db.get("userToken")
							}, function(data) {
								sg.hideWaiting();
								mui.toast(data.message);
								project.initAllTask();
							}, function(error) {
								sg.hideWaiting();
								/*if(error.toString().indexOf('timeout')) {
									sg.showToast('请求超时！');
								}*/
							});
						} else {

						}
					});
			});
			
		},
		/**
		 * 
		 * @param {String} type 类型
		 * @param {Number} pageNum 页数(可选，默认1)
		 * @param {Number} pageSize 页码(可选，默认10)
		 * @param {Boolean} isRefresh 是否刷新(可选，默认false)
		 */
		loadData: function(type, pageIndex, pageSize, isRefresh) {
				var _ = this;
				// 设置默认参数
				type = type || "platform";

				if(typeof pageIndex == "boolean") {
					isRefresh = pageIndex;
					pageIndex = 1;
				} else {
					pageIndex = pageIndex || 1;
				}
				if(typeof pageSize == "boolean") {
					isRefresh = pageSize;
					pageSize = _.pageSize;
				} else {
					pageSize = pageSize || _.pageSize;
				}
				isRefresh = isRefresh || false;
				// 默认平台发布的任务
				var node = document.querySelector('#platform-all .list-wrapper');
				var tplId = "platform-task-item";
				if(type == "receive") {
					node = document.querySelector('#platform-receive .list-wrapper');
				} else if(type == "finish") {
					node = document.querySelector('#platform-finish .list-wrapper');
				} else if(type == "cancel") {
					node = document.querySelector('#platform-cancel .list-wrapper');
				}
				if(type == "all") {
					httpClient.get(interfaceHost + "mineAllPlatformTask.do", {
						pageIndex: project.allTaskPageIndex,
						pageSize: project.pageSize,
						token: db.get("userToken")
					}, function(data) {
						_.allTaskPageIndex = data.pageIndex;
						_.allTaskTotalCount = data.totalCount;
						_.allTaskPageCount = data.pageCount;
						if(isRefresh) {
							// 刷新，直接替换
							node.innerHTML = template(tplId, data);
						} else {
							// 不替换，加载数据
							node.innerHTML += template(tplId, data);
						}
					}, function(error) {
						/*if(error.toString().indexOf('timeout')) {
							sg.showToast('请求超时！');
						}*/
					});

				} else if(type == "receive") {
					httpClient.get(interfaceHost + "mineReceivePlatformTask.do", {
						pageIndex: project.receiveTaskPageIndex,
						pageSize: project.pageSize,
						token: db.get("userToken")
					}, function(data) {
						_.receiveTaskPageIndex = data.pageIndex;
						_.receiveTaskTotalCount = data.totalCount;
						_.receiveTaskPageCount = data.pageCount;
						if(isRefresh) {
							// 刷新，直接替换
							node.innerHTML = template(tplId, data);
						} else {
							// 不替换，加载数据
							node.innerHTML += template(tplId, data);
						}
					}, function(error) {
						if(error.toString().indexOf('timeout')) {
							sg.showToast('请求超时！');
						}
					});

				} else if(type == "finish") {
					httpClient.get(interfaceHost + "mineFinishPlatformTask.do", {
						pageIndex: project.finishTaskPageIndex,
						pageSize: project.pageSize,
						token: db.get("userToken")
					}, function(data) {
						_.finishTaskPageIndex = data.pageIndex;
						_.finishTaskTotalCount = data.totalCount;
						_.finishTaskPageCount = data.pageCount;
						if(isRefresh) {
							// 刷新，直接替换
							node.innerHTML = template(tplId, data);
						} else {
							// 不替换，加载数据
							node.innerHTML += template(tplId, data);
						}
					}, function(error) {
						/*if(error.toString().indexOf('timeout')) {
							sg.showToast('请求超时！');
						}*/
					});

				} else if(type == "cancel") {
					httpClient.get(interfaceHost + "mineCancelPlatformTask.do", {
						pageIndex: project.cancelTaskPageIndex,
						pageSize: project.pageSize,
						token: db.get("userToken")
					}, function(data) {
						_.cancelTaskPageIndex = data.pageIndex;
						_.cancelTaskTotalCount = data.totalCount;
						_.cancelTaskPageCount = data.pageCount;
						if(isRefresh) {
							// 刷新，直接替换
							node.innerHTML = template(tplId, data);
						} else {
							// 不替换，加载数据
							node.innerHTML += template(tplId, data);
						}
					}, function(error) {
						/*if(error.toString().indexOf('timeout')) {
							sg.showToast('请求超时！');
						}*/
					});

				}
			} //loadData结束
	};
	mui.init({

	});
	mui.plusReady(function() {
		project.init();
	});
})(mui, document, {});