(function($, document, config) {
	"use strict";
	var taskId;
	var project = {
		init: function() {
			var _ = this;
			_.bindEvent();
		},
		addBtnEvent: function(type) {
			if(type == 'normal') {
				//取消任务
				sg.node('cancel_btn').addEventListener('tap', function() {
					var btnArray = ['确定', '取消'];
					mui.confirm('确认取消任务吗？', '提示', btnArray, function(e) {
						if(e.index == 0) {
							sg.showWaiting("提交中..");
							httpClient.post(interfaceHost + "cancelDistributionTask.do", {
								taskId: taskId,
								token: db.get("userToken")
							}, function(data) {
								sg.hideWaiting();
								mui.toast(data.message);
								var mainView = plus.webview.getWebviewById('mine-distribution-task.html');
								mui.fire(mainView, 'refreshTask');
								if(data.taskStatus == 1) {
									sg.node('footer_btn').innerHTML = '<div class="mui-pull-right"><button type="button" class="mui-btn receive_btn mui-btn-green mui-btn-outlined" id="cancel_btn">取消任务</button>&nbsp;&nbsp;<button class="mui-btn-green receive_btn" id="finish_btn">完成任务</button></div>';
									project.addBtnEvent('normal');
								} else {
									sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" id="delete_btn">删除</button>';
									project.addBtnEvent('delete');
								}
							}, function(error) {
								sg.hideWaiting();
								/*if(error.toString().indexOf('timeout')) {
									sg.showToast('请求超时！');
								}*/
							});
						} else {

						}
					});
				}, false);
				//完成任务
				sg.node('finish_btn').addEventListener('tap', function() {
					var btnArray = ['确定', '取消'];
					mui.confirm('确认完成任务吗？', '提示', btnArray, function(e) {
						if(e.index == 0) {
							sg.showWaiting("提交中..");
							httpClient.post(interfaceHost + "finishDistributionTask.do", {
								taskId: taskId,
								token: db.get("userToken")
							}, function(data) {
								sg.hideWaiting();
								mui.toast(data.message);
								var mainView = plus.webview.getWebviewById('mine-distribution-task.html');
								mui.fire(mainView, 'refreshTask');
								if(data.taskStatus == 1) {
									sg.node('footer_btn').innerHTML = '<div class="mui-pull-right"><button type="button" class="mui-btn receive_btn mui-btn-green mui-btn-outlined" id="cancel_btn">取消任务</button>&nbsp;&nbsp;<button class="mui-btn-green receive_btn" id="finish_btn">完成任务</button></div>';
									project.addBtnEvent('normal');
								} else {
									sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" id="delete_btn">删除</button>';
									project.addBtnEvent('delete');
								}
							}, function(error) {
								sg.hideWaiting();
								/*if(error.toString().indexOf('timeout')) {
									sg.showToast('请求超时！');
								}*/
							});
						} else {

						}
					});
				}, false);
			} else {
				sg.node('delete_btn').addEventListener('tap', function() {
					var btnArray = ['确定', '取消'];
					mui.confirm('确认删除该任务吗？', '提示', btnArray, function(e) {
						if(e.index == 0) {
							sg.showWaiting("提交中..");
							httpClient.post(interfaceHost + "deleteDistributionTask.do", {
								taskId: taskId,
								token: db.get("userToken")
							}, function(data) {
								sg.hideWaiting();
								mui.toast(data.message);
								var mainView = plus.webview.getWebviewById('mine-distribution-task.html');
								mui.fire(mainView, 'refreshTask');
								mui.back();
							}, function(error) {
								sg.hideWaiting();
								/*if(error.toString().indexOf('timeout')) {
									sg.showToast('请求超时！');
								}*/
							});
						} else {

						}
					});
				}, false);
			}

		},
		bindEvent: function() {
			taskId = plus.webview.currentWebview().taskId;
			sg.showWaiting('加载中...');
			httpClient.get(interfaceHost + "platformTaskDetail.do", {
				taskId: taskId,
				token: db.get("userToken")
			}, function(data) {
				sg.hideWaiting();
				sg.node('task_title').innerText = data.taskTitle,
					sg.node('task_times').innerText = data.taskTimes + "天",
					sg.node('task_money').innerText = "￥" + data.taskMoney,
					sg.node('task_release_time').innerText = data.releaseTimeStr + "发布",
					sg.node('task_end_time').innerText = data.endTimeStr,
					sg.node('task_release_time_str').innerText = data.releaseTimeStr,
					sg.node('task_address').innerText = data.taskAddr,
					sg.node('task_contact').innerText = data.taskContact,
					sg.node('task_desc').innerText = data.taskContent
				if(data.taskStatus == 1) {
					sg.node('footer_btn').innerHTML = '<div class="mui-pull-right"><button type="button" class="mui-btn receive_btn mui-btn-green mui-btn-outlined" id="cancel_btn">取消任务</button>&nbsp;&nbsp;<button class="mui-btn-green receive_btn" id="finish_btn">完成任务</button></div>';
					project.addBtnEvent('normal');
				} else {
					sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" id="delete_btn">删除</button>';
					project.addBtnEvent('delete');
				}
			}, function(error) {
				sg.hideWaiting();
				/*if(error.toString().indexOf('timeout')) {
					sg.showToast('请求超时！');
				}*/
			});
		}
	};
	mui.init({});
	mui.plusReady(function() {
		project.init();
	});
})(mui, document, {});