(function($, document, config) {
		"use strict";
		var dstname = "_doc/" + Math.floor(Math.random() * 100000000 + 10000000).toString() + ".jpg";
		var user;
		var project = {
				init: function() {
					var _ = this;
					_.initContent();
					_.bindEvent();
				},
				//压缩图片，这个比较变态的方法，无法return  
				compressImage: function(src) {
					plus.zip.compressImage({
							src: src,
							dst: dstname,
							overwrite: true,
							quality: 80
						},
						function(event) {
							project.uploadFile(event.target);
							return event.target;
						},
						function(error) {
							console.log(error);
							return src;
						});

				},
				uploadFile: function(path) {
					var wt = plus.nativeUI.showWaiting();
					var task = plus.uploader.createUpload(interfaceHost + "uploadUserHead.do", {
							method: "POST"
						},
						function(t, status) { //上传完成  
							if(status == 200) {
								mui.toast("上传成功");
								wt.close();
							var mainView = plus.webview.getWebviewById('mine/tab-mine.html');
							mui.fire(mainView, 'refurbish');
							} else {
								mui.toast("上传失败：" + status);
								wt.close();
							}
						}
					);
					task.addData("token", db.get("userToken"));
					task.addFile(path,{
						mine:'image/jpeg',
						key:'file'
					});
					task.start();
			},
			//拍照选择图片
			getImage: function() {
				var c = plus.camera.getCamera();
				c.captureImage(function(e) {
					plus.io.resolveLocalFileSystemURL(e, function(entry) {
						var s = entry.toLocalURL();
						console.log(s);
						sg.node('user_head').src = s+"?version="+new Date().getTime();
						project.compressImage(s);
					}, function(e) {
						console.log("读取拍照文件错误：" + e.message);
					});
				}, function(s) {
					console.log("error" + s);
				}, {
					filename: "_doc/head.jpg"
				})
			},
			//从手机相册选取图片
			galleryImg: function() {
				plus.gallery.pick(function(a) {
					plus.io.resolveLocalFileSystemURL(a, function(entry) {
						plus.io.resolveLocalFileSystemURL("_doc/", function(root) {
							root.getFile("head.jpg", {}, function(file) {
								//文件已存在
								file.remove(function() {
									console.log("file remove success");
									entry.copyTo(root, 'head.jpg', function(e) {
											var e = e.fullPath;
											sg.node('user_head').src = e+"?version="+new Date().getTime();
											project.compressImage(e);
										},
										function(e) {
											console.log('copy image fail:' + e.message);
										});
								}, function() {
									console.log("delete image fail:" + e.message);
								});
							}, function() {
								//文件不存在
								entry.copyTo(root, 'head.jpg', function(e) {
										var path = e.fullPath;
										sg.node('user_head').src = path+"?version="+new Date().getTime();
										project.compressImage(path);
									},
									function(e) {
										console.log('copy image fail:' + e.message);
									});
							});
						}, function(e) {
							console.log("get _www folder fail");
						})
					}, function(e) {
						console.log("读取拍照文件错误：" + e.message);
					});
				}, function(a) {}, {
					filter: "image"
				})
			},
			initContent: function() {
				sg.showWaiting('加载中...');
				httpClient.get(interfaceHost + "userInfoDetail.do", {
					token: db.get('userToken')
				}, function(data) {
					user = data;
					sg.node('user_head').src = data.userHead;
					sg.node('user_name').innerText = data.userName;
					sg.node('user_phone').innerText = data.userPhone;
					sg.node('user_city').innerText = data.userCity;
					sg.node('user_addr').innerText = data.userAddr;
					sg.hideWaiting();
				}, function(error) {
					if(error.toString().indexOf('timeout')) {
						sg.showToast('请求超时！');
					}
					sg.hideWaiting();
				});
			},
			initContentNoLoading: function() {
				httpClient.get(interfaceHost + "userInfoDetail.do", {
					token: db.get('userToken')
				}, function(data) {
					user = data;
					sg.node('user_head').src = data.userHead;
					sg.node('user_name').innerText = data.userName;
					sg.node('user_phone').innerText = data.userPhone;
					sg.node('user_city').innerText = data.userCity;
					sg.node('user_addr').innerText = data.userAddr;
				}, function(error) {
					if(error.toString().indexOf('timeout')) {
						sg.showToast('请求超时！');
					}
				});
			},
			bindEvent: function() {
				//刷新数据
				window.addEventListener('refurbish', function() {
					project.initContentNoLoading();
				});
				//点击用户头像
				sg.node('user_head_li').addEventListener('tap', function() {
					if(mui.os.plus) {
						var a = [{
							title: "拍照"
						}, {
							title: "从手机相册选择"
						}];
						plus.nativeUI.actionSheet({
							title: "修改头像",
							cancel: "取消",
							buttons: a
						}, function(b) {
							switch(b.index) {
								case 0:
									break;
								case 1:
									project.getImage();
									break;
								case 2:
									project.galleryImg();
									break;
								default:
									break
							}
						})
					}
				}, false);
				//点击用户名
				sg.node('user_name_li').addEventListener('tap', function() {
					mui.openWindow({
						url: '../../html/mine/nickname.html',
						id: 'nickname.html',
						waiting: {
							autoShow: false
						},
						extras: {
							userName: user.userName
						}
					});
				}, false);
				//点击手机号码
				sg.node('user_phone_li').addEventListener('tap', function() {
					mui.openWindow({
						url: '../../html/mine/telphone.html',
						id: 'telphone.html',
						waiting: {
							autoShow: false
						},
						extras: {
							userPhone: user.userPhone
						}
					});
				}, false);
				//点击所在区域
				sg.node('user_city_li').addEventListener('tap', function() {
					mui.openWindow({
						url: '../../html/mine/address_manage.html',
						id: 'address_manage.html',
						waiting: {
							autoShow: false
						},
						extras: {
							userCity: user.userCity,
							userAddr: user.userAddr
						}
					});
				}, false);
			}
	}; mui.init({}); mui.plusReady(function() {
		project.init();
	});
})(mui, document, {});