;
(function($, document, config) {
	"use strict";
	var project = {
		init: function() {
			var _ = this;
			_.initContent();
			_.bindEvent();
		},
		//初始化数据
		initContent: function() {
			httpClient.get(interfaceHost + "mineUserInfo.do", {
				token: db.get("userToken")
			}, function(data) {
				sg.node('mine_name').innerHTML = data.userName;
				sg.node('mine_phone').innerHTML = data.userPhone;
				sg.node('mine_head').src = data.userHead;
				sg.hideWaiting();
			}, function(error) {
				/*if(error.toString().indexOf('timeout')) {
					sg.showToast('请求超时！');
				}*/
			});
		},
		bindEvent: function() {
			//刷新数据
			window.addEventListener('refurbish', function() {
				project.initContent();
			});
			//退出登录按钮
			sg.node('logout').addEventListener('tap', function() {
				var btnArray = ['确定', '取消'];
				mui.confirm('确定退出登录吗？', '提示', btnArray, function(e) {
					if(e.index == 0) {
						//删除推送的clientId
						httpClient.get(interfaceHost + "updateUserClientId.do", {
							token: db.get("userToken"),
							clientId: ""
						}, function(data) {}, function(error) {});
						db.del("userToken");
						mui.openWindow({
							url: '../../html/login/login.html',
							id: 'login.html',
							waiting: {
								autoShow: false
							}
						});
					} else {

					}
				});
			}, false);
			//设置
			sg.node('setting').addEventListener('tap', function() {
				mui.openWindow({
					url: '../../html/mine/setting.html',
					id: 'setting.html',
					waiting: {
						autoShow: false
					}
				});
			}, false);
			//服务协议
			sg.node('protocolService').addEventListener('tap', function() {
				mui.openWindow({
					url: '../../html/mine/protocol_service.html',
					id: 'protocol_service.html',
					waiting: {
						autoShow: false
					}
				});
			}, false);
			//分配任务全部
			sg.node('distribution_task_all').addEventListener('tap', function() {
				mui.openWindow({
					url: '../../html/mine/mine-distribution-task.html',
					id: 'mine-distribution-task.html',
					extras: {
						currentIndex: 0
					},
					waiting: {
						autoShow: false
					}
				});
			}, false);
			//分配任务已领取
			sg.node('distribution_task_receive').addEventListener('tap', function() {
				mui.openWindow({
					url: '../../html/mine/mine-distribution-task.html',
					id: 'mine-distribution-task.html',
					extras: {
						currentIndex: 1
					},
					waiting: {
						autoShow: false
					}
				});
			}, false);
			//分配任务已完成
			sg.node('distribution_task_finish').addEventListener('tap', function() {
				mui.openWindow({
					url: '../../html/mine/mine-distribution-task.html',
					id: 'mine-distribution-task.html',
					extras: {
						currentIndex: 2
					},
					waiting: {
						autoShow: false
					}
				});
			}, false);
			//分配任务已取消
			sg.node('distribution_task_cancel').addEventListener('tap', function() {
				mui.openWindow({
					url: '../../html/mine/mine-distribution-task.html',
					id: 'mine-distribution-task.html',
					extras: {
						currentIndex: 3
					},
					waiting: {
						autoShow: false
					}
				});
			}, false);
			//平台任务全部
			sg.node('platform_task_all').addEventListener('tap', function() {
				mui.openWindow({
					url: '../../html/mine/mine-platform-task.html#platform_task_all',
					id: 'mine-platform-task.html',
					extras: {
						currentIndex: 0
					},
					waiting: {
						autoShow: false
					}
				});
			}, false);
			//平台任务已领取
			sg.node('platform_task_receive').addEventListener('tap', function() {
				mui.openWindow({
					url: '../../html/mine/mine-platform-task.html',
					id: 'mine-platform-task.html',
					extras: {
						currentIndex: 1
					},
					waiting: {
						autoShow: false
					}
				});
			}, false);
			//平台任务已完成
			sg.node('platform_task_finish').addEventListener('tap', function() {
				mui.openWindow({
					url: '../../html/mine/mine-platform-task.html',
					id: 'mine-platform-task.html',
					extras: {
						currentIndex: 2
					},
					waiting: {
						autoShow: false
					}
				});
			}, false);
			//平台任务已取消
			sg.node('platform_task_cancel').addEventListener('tap', function() {
				mui.openWindow({
					url: '../../html/mine/mine-platform-task.html',
					id: 'mine-platform-task.html',
					extras: {
						currentIndex: 3
					},
					waiting: {
						autoShow: false
					}
				});
			}, false);
			//个人资料
			sg.node('account').addEventListener('tap', function() {
				mui.openWindow({
					url: '../../html/mine/personal_profile.html',
					id: 'personal_profile.html',
					waiting: {
						autoShow: false
					}
				});
			}, false);

		}
	};
	mui.init({});
	mui.plusReady(function() {
		project.init();
	});
})(mui, document, {});
var interfaceHost = 'http://120.76.229.57/task_dispatch/app/';
/**
 * @description MUI网络操作对象
 */
var httpClient = (function(mui, w) {

	var ins = new mui.Class();

	/**
	 * mui的ajax get方法封装
	 * @param {String} url（必填）
	 * @param {Object} paramter（可选）
	 * @param {Function} successCB（必填）
	 * @param {Function} errorCB（可选）
	 */
	ins.get = function(url, paramter, successCB, errorCB) {
		var _successCB = successCB;
		var _errorCB = errorCB;

		console.log('ajax get请求，url：' + url + '，位置：' + document.location.toString());
		if(paramter && typeof paramter == 'function') {
			_errorCB = successCB;
			_successCB = paramter;
			paramter = {};
		}
		mui.ajax(url, {
			type: 'get',
			dataType: 'json',
			data: paramter,
			success: function(data, status) {
				_successCB(data, status);
			},
			error: function(xhr, type, errorThrown) {
				console.error('ajax get请求出错，url：' + url + '，错误类型：' + type + '，位置：' + document.location.toString());
				if(_errorCB) {
					_errorCB(xhr, type, errorThrown);
				}
			},
			timeout: 10000
		});
	};

	return ins;
})(mui, window);

/**
 * @description 数据库操作对象
 */
var db = (function(mui, w) {

	var ins = new mui.Class();

	/**
	 * @description 获取一个对象，key
	 */
	ins.get = function(key) {
			if(w.plus) {
				var val = plus.storage.getItem(key);
				//			CommonUtils.consoleLog('db get key: ' + key + ' value: ' + val);
				return JSON.parse(val);
			}
		}
		/**
		 * @description 删除一个对象，Key
		 */
	ins.del = function(key) {
		//		console.log('db del key: ' + key);
		if(w.plus)
			plus.storage.removeItem(key);
	}

	return ins;

})(mui, window);

var sg = (function(mui, w) {

	var ins = new mui.Class();

	/**
	 * document.getElementById(id)的封装
	 * @param {String} id
	 */
	ins.node = function(id) {
		var el = document.getElementById(id);
		if(el) {
			return el;
		} else {
			throw new Error('找不到这个id：' + id + '，位置：' + document.location.toString());
		}
	};
	ins.hideWaiting = function() {
		if(w.plus)
			plus.nativeUI.closeWaiting();
	}
	return ins;
})(mui, window);