var interfaceHost = 'http://120.76.229.57/task_dispatch/app/';
/**
 * @description MUI网络操作对象
 */
var httpClient = (function(mui, w) {

	var ins = new mui.Class();

	/**
	 * mui的ajax get方法封装
	 * @param {String} url（必填）
	 * @param {Object} paramter（可选）
	 * @param {Function} successCB（必填）
	 * @param {Function} errorCB（可选）
	 */
	ins.get = function(url, paramter, successCB, errorCB) {
		var _successCB = successCB;
		var _errorCB = errorCB;

		console.log('ajax get请求，url：' + url + '，位置：' + document.location.toString());
		if(paramter && typeof paramter == 'function') {
			_errorCB = successCB;
			_successCB = paramter;
			paramter = {};
		}
		mui.ajax(url, {
			type: 'get',
			dataType: 'json',
			data: paramter,
			success: function(data, status) {
				_successCB(data, status);
			},
			error: function(xhr, type, errorThrown) {
				console.error('ajax get请求出错，url：' + url + '，错误类型：' + type + '，位置：' + document.location.toString());
				if(_errorCB) {
					_errorCB(xhr, type, errorThrown);
				}
			},
			timeout: 10000
		});
	};

	return ins;
})(mui, window);

(function($, document, config) {
	"use strict";

	var url = 'http://www.baidu.com';

	httpClient.get(interfaceHost + "productUrl.do", {
	}, function(data) {
		mui.init({
			subpages: [{
				url: data.productUrl, //子页面HTML地址，支持本地地址和网络地址  
				id: 'product_url', //子页面标志  
				styles: {
					top: '0px', //子页面顶部位置  
					bottom: '0px' //子页面底部位置  
				},
				extras: {} //额外扩展参数  
			}]

		});
		sg.hideWaiting();
	}, function(error) {
	});

})(mui, document, {});

var interfaceHost = 'http://120.76.229.57/task_dispatch/app/';
/**
 * @description MUI网络操作对象
 */
var httpClient = (function(mui, w) {

	var ins = new mui.Class();

	/**
	 * mui的ajax get方法封装
	 * @param {String} url（必填）
	 * @param {Object} paramter（可选）
	 * @param {Function} successCB（必填）
	 * @param {Function} errorCB（可选）
	 */
	ins.get = function(url, paramter, successCB, errorCB) {
		var _successCB = successCB;
		var _errorCB = errorCB;

		console.log('ajax get请求，url：' + url + '，位置：' + document.location.toString());
		if(paramter && typeof paramter == 'function') {
			_errorCB = successCB;
			_successCB = paramter;
			paramter = {};
		}
		mui.ajax(url, {
			type: 'get',
			dataType: 'json',
			data: paramter,
			success: function(data, status) {
				_successCB(data, status);
			},
			error: function(xhr, type, errorThrown) {
				console.error('ajax get请求出错，url：' + url + '，错误类型：' + type + '，位置：' + document.location.toString());
				if(_errorCB) {
					_errorCB(xhr, type, errorThrown);
				}
			},
			timeout: 10000
		});
	};

	return ins;
})(mui, window);

/**
 * @description 数据库操作对象
 */
var db = (function(mui, w) {

	var ins = new mui.Class();

	/**
	 * @description 获取一个对象，key
	 */
	ins.get = function(key) {
			if(w.plus) {
				var val = plus.storage.getItem(key);
				//			CommonUtils.consoleLog('db get key: ' + key + ' value: ' + val);
				return JSON.parse(val);
			}
		}
		/**
		 * @description 删除一个对象，Key
		 */
	ins.del = function(key) {
		//		console.log('db del key: ' + key);
		if(w.plus)
			plus.storage.removeItem(key);
	}

	return ins;

})(mui, window);

var sg = (function(mui, w) {

	var ins = new mui.Class();

	/**
	 * document.getElementById(id)的封装
	 * @param {String} id
	 */
	ins.node = function(id) {
		var el = document.getElementById(id);
		if(el) {
			return el;
		} else {
			throw new Error('找不到这个id：' + id + '，位置：' + document.location.toString());
		}
	};
	ins.hideWaiting = function() {
		if(w.plus)
			plus.nativeUI.closeWaiting();
	}
	return ins;
})(mui, window);