(function($, document, config) {
	"use strict";
	var taskId;
	var project = {
		init: function() {
			var _ = this;
			_.bindEvent();
		},
		addBtnEvent: function() {
			sg.node('refuse_btn').addEventListener('tap', function() {
				var btnArray = ['确定', '取消'];
				mui.confirm('确认拒绝任务吗？', '提示', btnArray, function(e) {
					if(e.index == 0) {
						sg.showWaiting("领取中..");
						httpClient.post(interfaceHost + "rejectDistributionTask.do", {
							taskId: taskId,
							token: db.get("userToken")
						}, function(data) {
							sg.hideWaiting();
							mui.toast(data.message);
							var mainView = plus.webview.getWebviewById('task/tab-task.html');
							mui.fire(mainView, 'refreshDistribution');
							if(data.isOutOf) { //如果已过期
								sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" disabled>已过期</button>';
							} else if(data.receiveStatus == 0) {
								sg.node('footer_btn').innerHTML = '<div class="mui-pull-right"><button type="button" class="mui-btn receive_btn mui-btn-green mui-btn-outlined" id="refuse_btn">拒绝任务</button>&nbsp;&nbsp;<button class="mui-btn-green receive_btn" id="receive_btn">领取任务</button></div>';
								project.addBtnEvent();
							} else if(data.receiveStatus == 1) {
								sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" disabled>已领取</button>';
							} else if(data.receiveStatus == 2) {
								sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" disabled>已拒绝</button>';
							}
						}, function(error) {
							sg.hideWaiting();
							if(error.toString().indexOf('timeout')) {
								sg.showToast('请求超时！');
							}
						});
					} else {

					}
				});
			}, false);

			sg.node('receive_btn').addEventListener('tap', function() {
				var btnArray = ['确定', '取消'];
				mui.confirm('确认领取任务吗？', '提示', btnArray, function(e) {
					if(e.index == 0) {
						sg.showWaiting("领取中..");
						httpClient.post(interfaceHost + "signInDistributionTask.do", {
							taskId: taskId,
							token: db.get("userToken")
						}, function(data) {
							sg.hideWaiting();
							mui.toast(data.message);
							var mainView = plus.webview.getWebviewById('task/tab-task.html');
							mui.fire(mainView, 'refreshDistribution');
							if(data.isOutOf) { //如果已过期
								sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" disabled>已过期</button>';
							} else if(data.receiveStatus == 0) {
								sg.node('footer_btn').innerHTML = '<div class="mui-pull-right"><button type="button" class="mui-btn receive_btn mui-btn-green mui-btn-outlined" id="refuse_btn">拒绝任务</button>&nbsp;&nbsp;<button class="mui-btn-green receive_btn" id="receive_btn">领取任务</button></div>';
								project.addBtnEvent('refuse_btn');
								project.addBtnEvent('receive_btn');
							} else if(data.receiveStatus == 1) {
								sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" disabled>已领取</button>';
							} else if(data.receiveStatus == 2) {
								sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" disabled>已拒绝</button>';
							}
						}, function(error) {
							sg.hideWaiting();
							if(error.toString().indexOf('timeout')) {
								sg.showToast('请求超时！');
							}
						});
					} else {

					}
				});
			}, false);
			//	}
		},
		bindEvent: function() {
			taskId = plus.webview.currentWebview().taskId;
			sg.showWaiting('加载中...');
			httpClient.get(interfaceHost + "distributionTaskDetail.do", {
				taskId: taskId,
				token: db.get("userToken")
			}, function(data) {
				sg.hideWaiting();
				sg.node('task_title').innerText = data.taskTitle,
					sg.node('task_times').innerText = data.taskTimes + "天",
					sg.node('task_money').innerText = "￥" + data.taskMoney,
					sg.node('task_release_time').innerText = data.releaseTimeStr + "发布",
					sg.node('task_end_time').innerText = data.endTimeStr,
					sg.node('task_release_time_str').innerText = data.releaseTimeStr,
					sg.node('task_address').innerText = data.taskAddr,
					sg.node('task_contact').innerText = data.taskContact,
					sg.node('task_desc').innerText = data.taskContent
				if(data.isOutOf) { //如果已过期
					sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" disabled>已过期</button>';
				} else if(data.receiveStatus == 0) {
					if(data.taskStatus==0){
						sg.node('footer_btn').innerHTML = '<div class="mui-pull-right"><button type="button" class="mui-btn receive_btn mui-btn-green mui-btn-outlined" id="refuse_btn">拒绝任务</button>&nbsp;&nbsp;<button class="mui-btn-green receive_btn" id="receive_btn">领取任务</button></div>';
					}else if(data.taskStatus==1){
						sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" disabled>已被领取</button>';
					}else if(data.taskStatus==2){
						sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" disabled>已被完成</button>';
					}else if(data.taskStatus==3){
						sg.node('footer_btn').innerHTML = '<div class="mui-pull-right"><button type="button" class="mui-btn receive_btn mui-btn-green mui-btn-outlined" id="refuse_btn">拒绝任务</button>&nbsp;&nbsp;<button class="mui-btn-green receive_btn" id="receive_btn">领取任务</button></div>';
					}
					project.addBtnEvent();
				} else if(data.receiveStatus == 1) {
					sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" disabled>已领取</button>';
				} else if(data.receiveStatus == 2) {
					sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" disabled>已拒绝</button>';
				} else if(data.receiveStatus == 3) {
					sg.node('footer_btn').innerHTML = '<button class="mui-pull-right disable_btn" disabled>已取消</button>';
				}
			}, function(error) {
				sg.hideWaiting();
				if(error.toString().indexOf('timeout')) {
					sg.showToast('请求超时！');
				}
			});
		}
	};
	mui.init({});
	mui.plusReady(function() {
		project.init();
	});
})(mui, document, {});