(function($, document, config) {
	"use strict";
	var allCity = {
		"value": 0,
		text: "全部地区"
	};
	var cityPicker;
	var city = allCity;
	var project = {
		init: function(){
			var _ = this;
			_.initCity();
			_.initPage();
			_.bindEvent();
		},
		initCity: function() {
			httpClient.get(interfaceHost + "cityList.do", {}, function(data) {
				cityPicker = new $.PopPicker();
				data.unshift(allCity);
				cityPicker.setData(data);
			}, function(error) {
			
			});
		},
		initPlatformTask: function() {
			var _ = this;
			_.platformTaskPageIndex = 1;
			_.loadData("platform", true);
		},
		initDistributionTask: function() {
			var _ = this;
			_.distributionTaskPageIndex = 1;
			_.loadData("distribution", true);
		},
		initPage: function() {
			var _ = this;
			_.platformTaskPageIndex = 1;
			_.distributionTaskPageIndex = 1;
			_.platfromTaskTotalCount = 1;
			_.distributionTaskTotalCount = 1;
			_.platformTaskPageCount = 1;
			_.distributionTaskPageCount = 1;
			_.pageSize = 10;
			_.platformTaskRefreshing = false;
			_.distributionTaskRefreshing = false;

			mui('.mui-scroll-wrapper').scroll({
				scrollY: true, //是否竖向滚动
				scrollX: false, //是否横向滚动
				startX: 0, //初始化时滚动至x
				startY: 0, //初始化时滚动至y
				indicators: true, //是否显示滚动条
				deceleration: 0.0003, //阻尼系数,系数越小滑动越灵敏
				bounce: true //是否启用回弹
			});

			// update first page
			_.loadData("platform", true);
			//初始化上拉加载，下拉刷新---平台任务
			mui('#platform-task-list').pullToRefresh({
				down: {
					callback: function() {
						var self = this;
						_.platformTaskPageIndex = 1;
						_.loadData("platform", true);
						_.initCity();
						setTimeout(function() {
							self.endPullDownToRefresh();
							self.refresh(true);
						}, 1000);

					}
				},
				up: {
					callback: function() {
						var self = this;
						_.platformTaskPageIndex++;
						_.loadData("platform", _.platformTaskPageIndex, _.pageSize, false);
						setTimeout(function() {
							self.endPullUpToRefresh(_.platformTaskPageIndex >= _.platformTaskPageCount);
						}, 1000);
					}
				}
			});
			//初始化上拉加载，下拉刷新---区域分配任务
			mui('#distribution-task-list').pullToRefresh({
				down: {
					callback: function() {
						var self = this;
						_.platformTaskPageIndex = 1;
						_.loadData("distribution", true);
						_.initCity();
						setTimeout(function() {
							self.endPullDownToRefresh();
							self.refresh(true);
						}, 1000);

					}
				},
				up: {
					callback: function() {
						var self = this;
						_.distributionTaskPageIndex++;
						_.loadData("distribution", _.distributionTaskPageIndex, _.pageSize, false);
						setTimeout(function() {
							self.endPullUpToRefresh(_.distributionTaskPageIndex >= _.distributionTaskPageCount);
						}, 1000);
					}
				}
			});
		},
		bindEvent: function() {
			var _ = this;
			window.addEventListener('selectCity', function() {
				cityPicker.show(function(items) {
					city = items[0];
					project.initPlatformTask();
					project.initDistributionTask();
					db.add("city",city);
					var mainView = plus.webview.getWebviewById('main.html');
					mui.fire(mainView, 'changeCity');
				});
			});
			//刷新平台任务
			window.addEventListener('refreshPlatform', function() {
				project.initPlatformTask();
			});
			//刷新区域分派任务
			window.addEventListener('refreshDistribution', function() {
				project.initDistributionTask();
			});
			var platformTask = sg.node('platform_task');
			var distributionTask = sg.node('distribution_task');
			document.getElementById('slider').addEventListener('slide', function(e) {
				if(e.detail.slideNumber === 0) {
					if(platformTask.querySelector('.mui-loading')) {
						_.loadData("platform", _.platformTaskPageIndex, _.pageSize, true);
					}
				} else if(e.detail.slideNumber === 1) {
					if(distributionTask.querySelector('.mui-loading')) {
						_.loadData("distribution", _.distributionTaskPageIndex, _.pageSize, true);
					}
				}
			});
			mui('#platform-task-ul').on('tap', 'li', function() {
				mui.openWindow({
					url: '../../html/task/platform_task_detail.html',
					id: "platform_task_detail.html",
					extras: {
						taskId: this.getAttribute('task-id')
					},
					waiting: {
						autoShow: false
					}
				});
			});
		
			mui('#distribution-task-ul').on('tap', 'li', function() {
				mui.openWindow({
					url: '../../html/task/distribution_task_detail.html',
					id: "distribution_task_detail.html",
					extras: {
						taskId: this.getAttribute('task-id')
					},
					waiting: {
						autoShow: false
					}
				});
			});
		},
		/**
		 * 
		 * @param {String} type 类型 review/favorite
		 * @param {Number} pageNum 页数(可选，默认1)
		 * @param {Number} pageSize 页码(可选，默认10)
		 * @param {Boolean} isRefresh 是否刷新(可选，默认false)
		 */
		loadData: function(type, pageIndex, pageSize, isRefresh) {
				var _ = this;
				// 设置默认参数
				type = type || "platform";

				if(typeof pageIndex == "boolean") {
					isRefresh = pageIndex;
					pageIndex = 1;
				} else {
					pageIndex = pageIndex || 1;
				}

				if(typeof pageSize == "boolean") {
					isRefresh = pageSize;
					pageSize = _.pageSize;
				} else {
					pageSize = pageSize || _.pageSize;
				}
				isRefresh = isRefresh || false;
				// 默认平台发布的任务
				var node = document.querySelector('#platform_task ul');
				var tplId = "platform-task-item";
				if(type == "distribution") {
					node = document.querySelector('#distribution_task ul');
					tplId = "distribution-task-item"
				}
				if(type == "platform") {
					httpClient.get(interfaceHost + "platformRelease.do", {
						pageIndex: project.platformTaskPageIndex,
						pageSize: project.pageSize,
						token: db.get("userToken"),
						cityId:city.value
					}, function(data) {
						_.platformTaskPageIndex = data.pageIndex;
						_.platfromTaskTotalCount = data.totalCount;
						_.platformTaskPageCount = data.pageCount;
						if(isRefresh) {
							// 刷新，直接替换
							node.innerHTML = template(tplId, data);
						} else {
							// 不替换，加载数据
							node.innerHTML += template(tplId, data);
						}
					}, function(error) {
						/*if(error.toString().indexOf('timeout')) {
							sg.showToast('请求超时！');
						}*/
					});
				} else {
					httpClient.get(interfaceHost + "regionalDistribution.do", {
						pageIndex: _.distributionTaskPageIndex,
						pageSize: _.pageSize,
						token: db.get("userToken"),
						cityId:city.value
					}, function(data) {
						_.distributionTaskPageIndex = data.pageIndex;
						_.distributionTaskTotalCount = data.totalCount;
						_.distributionTaskPageCount = data.pageCount;
						if(isRefresh) {
							// 刷新，直接替换
							node.innerHTML = template(tplId, data);
						} else {
							// 不替换，加载数据
							node.innerHTML += template(tplId, data);
						}
					}, function(error) {
						/*if(error.toString().indexOf('timeout')) {
							sg.showToast('请求超时！');
						}*/
					});
				}
			} //loadData结束
	};
	mui.init({});
	mui.plusReady(function() {
		project.init();
	});
})(mui, document, {});